Bug 1551126 - nmh - require /usr/bin/vi instead /bin/vi (compliance with FSH)
Summary: nmh - require /usr/bin/vi instead /bin/vi (compliance with FSH)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nmh
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: David Levine
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-02 20:29 UTC by Doug Maxey
Modified: 2018-03-11 22:18 UTC (History)
9 users (show)

Fixed In Version: nmh-1.6-15.fc26 nmh-1.6-15.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-11 19:59:20 UTC


Attachments (Terms of Use)

Description Doug Maxey 2018-03-02 20:29:47 UTC
Description of problem:
Doing an update, vim updates removed the nmh package

This does not seem like a friendly objective, and it blows any custom config.

Version-Release number of selected component (if applicable):

Installing:
 nmh                            x86_64                    1.6-14.fc27                           fedora                    1.4 M
Downgrading:
 vim-minimal                    x86_64                    2:8.0.1176-1.fc27                     fedora                    532 k


Additional info:
I guess that shows how few people still use nmh ;^)

Comment 1 Rob van Nieuwkerk 2018-03-05 06:16:16 UTC
It is because nmh-1.6-14.fc27.x86_64 requires "/bin/vi"
and the new vim-minimal-8.0.1553.fc27.x86_64 now provides "/usr/bin/vi"
instead of "/bin/vi" like it used to do.

Maybe the solution is to have a new nmh package that requires "/usr/bin/vi" ?

BTW: I'm totally dependent on nmh !!  :-)

Comment 2 Rob van Nieuwkerk 2018-03-05 06:19:16 UTC
A package update fails because of this problem:

verdi /home/robn 4 # dnf --refresh update
Last metadata expiration check: 0:00:00 ago on Mon Mar  5 07:17:28 2018.
Dependencies resolved.

 Problem: package nmh-1.6-14.fc27.x86_64 requires /bin/vi, but none of the providers can be installed
  - cannot install both vim-minimal-2:8.0.1553-1.fc27.x86_64 and vim-minimal-2:8.0.1176-1.fc27.x86_64
  - cannot install both vim-minimal-2:8.0.1176-1.fc27.x86_64 and vim-minimal-2:8.0.1553-1.fc27.x86_64
  - cannot install the best update candidate for package vim-minimal-2:8.0.1176-1.fc27.x86_64
  - cannot install the best update candidate for package nmh-1.6-14.fc27.x86_64
=======================================================================================================================================
 Package                         Arch                       Version                                  Repository                   Size
=======================================================================================================================================
Skipping packages with conflicts:
(add '--best --allowerasing' to command line to force their upgrade):
 vim-minimal                     x86_64                     2:8.0.1553-1.fc27                        updates                     540 k

Transaction Summary
=======================================================================================================================================
Skip  1 Package

Nothing to do.
Complete!

Comment 3 Zdenek Dohnal 2018-03-05 11:34:18 UTC
Hi,

thank you for the report - all programs nowadays in Fedora are in /usr/bin (/bin is now only symlink to /usr/bin) - so I thought it is old "Provides:" and it is not used anymore (I apologize, I didn't check if something doesn't depend on it) so IMHO is is something to fix in nmh. Reassigning to nmh.

Comment 4 Zdenek Dohnal 2018-03-05 11:50:47 UTC
Hi David,

would you mind backporting the fix from master to f27 and f26 branches too?

Comment 5 Zdenek Dohnal 2018-03-05 17:17:24 UTC
https://koji.fedoraproject.org/koji/taskinfo?taskID=25504897 Rob, Doug, would you mind trying this scratch build until David prepares final fix?

Comment 6 Fedora Update System 2018-03-06 00:32:52 UTC
nmh-1.7-3.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-881c05bb96

Comment 7 Fedora Update System 2018-03-06 00:34:19 UTC
nmh-1.7-3.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-0116a726e8

Comment 8 Rob van Nieuwkerk 2018-03-06 01:00:16 UTC
(In reply to Zdenek Dohnal from comment #5)
> https://koji.fedoraproject.org/koji/taskinfo?taskID=25504897 Rob, Doug,
> would you mind trying this scratch build until David prepares final fix?

I downloaded and installed nmh-1.7-3.fc27.x86_64.rpm and it seems to work
fine.  The update of vim-minimal works now too.

But I only use the "rcvstore" command from nmh to deliver messages to my
nmh folders from procmail. This seems OK.  I don't know about the rest of nmh ..

One interesting thing I read in the recent nmh-1.7.1-RC3 announcement is:

    "This release candidate fixes a significant memory leak in scan(1) and 
     includes some minor fixes to the test suite."

So probably it will be wise to have an update to nmh-1.7.1 once it is released!

Comment 9 David Levine 2018-03-06 01:05:46 UTC
My bad:  it shouldn't have been 1.7.  I obsoleted that and am building 1.6 now.  1.7 was never pushed to Fedora updates.

Awaiting release of 1.7.3.

Comment 10 David Levine 2018-03-06 01:06:18 UTC
I meant, awaiting release of 1.7.1.

Comment 11 Fedora Update System 2018-03-06 01:08:00 UTC
nmh-1.6-15.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-7e7f29fdd6

Comment 12 Fedora Update System 2018-03-06 01:10:04 UTC
nmh-1.6-15.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ca3ff1ee8d

Comment 13 David Levine 2018-03-06 01:12:08 UTC
Hi Zdenek and everyone,

OK, I submitted f27 and f26 updates to nmh 1.6 to testing.  Just need +1 karma, if someone would oblige.

I don't see a way to re-assign this bug to me (par.packager@gmail.com).  If you can, that would be great.

Comment 14 Rob van Nieuwkerk 2018-03-06 01:30:16 UTC
Well, nmh-1.6-15.fc27 works fine for my (limited) use too!
I think a just gave a +1 karma (haven't used this before, found it a bit confusing .. :-)

Comment 15 Zdenek Dohnal 2018-03-06 07:04:12 UTC
David,

I think you can just click on (take) next to "Assigned to:". I have it there at least. But I can reassign it to you too.
I'll change the bugzilla name to correspond the actual issue.

Comment 16 Fedora Update System 2018-03-06 17:53:27 UTC
nmh-1.6-15.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ca3ff1ee8d

Comment 17 Fedora Update System 2018-03-06 18:22:25 UTC
nmh-1.6-15.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-7e7f29fdd6

Comment 18 Doug Maxey 2018-03-07 22:29:32 UTC
(In reply to Zdenek Dohnal from comment #5)
> https://koji.fedoraproject.org/koji/taskinfo?taskID=25504897 Rob, Doug,
> would you mind trying this scratch build until David prepares final fix?

+1 from me too

Comment 19 Fedora Update System 2018-03-11 19:59:20 UTC
nmh-1.6-15.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2018-03-11 22:18:57 UTC
nmh-1.6-15.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.